org.apache.olingo.client.api.serialization

## Interface ODataDeserializer

- All Known Subinterfaces:
    ClientODataDeserializer

      public interface ODataDeserializer

  Interface for de-serialization.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResWrap<Entity>` | `toEntity(InputStream input)` Gets an entity object from the given InputStream.
    `ResWrap<EntityCollection>` | `toEntitySet(InputStream input)` Gets an entity set object from the given InputStream.
    `ODataError` | `toError(InputStream input)` Gets the ODataError object represented by the given InputStream.
    `ResWrap<Property>` | `toProperty(InputStream input)` Gets a property object from the given InputStream.

- - ### Method Detail

    - #### toEntitySet

          ResWrap<EntityCollection> toEntitySet(InputStream input)
                                         throws ODataDeserializerException

      Gets an entity set object from the given InputStream.
      Parameters:
        `input` - stream to be de-serialized.
      Returns:
        `EntityCollection` instance.
      Throws:
        `ODataDeserializerException`

    - #### toEntity

          ResWrap<Entity> toEntity(InputStream input)
                            throws ODataDeserializerException

      Gets an entity object from the given InputStream.
      Parameters:
        `input` - stream to be de-serialized.
      Returns:
        `Entity` instance.
      Throws:
        `ODataDeserializerException`

    - #### toProperty

          ResWrap<Property> toProperty(InputStream input)
                                throws ODataDeserializerException

      Gets a property object from the given InputStream.
      Parameters:
        `input` - stream to be de-serialized.
      Returns:
        Property instance.
      Throws:
        `ODataDeserializerException`

    - #### toError

          ODataError toError(InputStream input)
                      throws ODataDeserializerException

      Gets the ODataError object represented by the given InputStream.
      Parameters:
        `input` - stream to be parsed and de-serialized.
      Returns:
        parsed ODataError object represented by the given InputStream
      Throws:
        `ODataDeserializerException`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.